<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_ldap', language 'cs', branch 'MOODLE_20_STABLE'
 *
 * @package   enrol_ldap
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['autocreate'] = 'Kurzy mohou být vytvářeny automaticky, pokud se objeví zápis do kurzu, který v Moodlu ještě neexistuje.';
$string['autocreation_settings'] = 'Nastavení automatického vytváření kurzů';
$string['bind_dn'] = 'Chcete-li v vyhledání uživatelů použít bind-user, uveďte zde plný název. Něco jako  \'cn=ldapuser,ou=public,o=org\'';
$string['bind_pw'] = 'Heslo pro bind-user.';
$string['bind_pw_key'] = 'Heslo';
$string['category'] = 'Kategorie automaticky vytvářených kurzů.';
$string['contexts'] = 'Kontexty LDAP';
$string['course_fullname'] = 'Volitelné: LDAP pole, odkud se převezme celý název.';
$string['course_idnumber'] = 'Na který unikátní identifikátor v LDAP mapovat id kurzu. Většinou <em>cn</em> nebo <em>uid</em>. Doporučuje se tuto hodnotu uzamknout, pokud používáte automatické vytváření kurzů.';
$string['course_settings'] = 'Nastavení zápisů do kurzů';
$string['course_shortname'] = 'Volitelné: LDAP pole, odkud se převezme krátký název.';
$string['course_summary'] = 'Volitelné: LDAP pole, odkud se převezme souhrn kurzu.';
$string['editlock'] = 'Uzamknout hodnotu';
$string['enrolname'] = 'LDAP';
$string['general_options'] = 'Obecná nastavení';
$string['host_url'] = 'Hostitel LDAP ve formě URL - např. ldap://ldap.naseskola.cz/\' nebo ldaps://ldap.naseskola.cz/\'';
$string['ldap:manage'] = 'Spravovat zápis přes LDAP';
$string['memberattribute'] = 'Atribut členství (member) v LDAP';
$string['objectclass'] = 'objectClass použitá při vyhledávání kurzů. Většinou \'posixGroup\'.';
$string['pluginname_desc'] = '<p>K řízení zápisů do kurzů můžete použív rovněž váš server LDAP. Předpokládá se, že váš strom (tree) LDAP obsahuje skupiny (groups) odpovídající vašim kurzům a že každá z těchto skupin má položky členství odpovídající studentům.</p>

<p>Každý kurz by tedy měl mít nadefinován jako LDAP skupina a každá z těchto skupin bude mít několik polí členství (<em>member</em> nebo <em>memberUid</em>), která obsahují unikátní identifikaci uživatele.</p>

<p>Chcete-li tento režim zápisů do kurzů použít, <strong>musí</strong> mít vaši uživatelé ve svých profilech vyplněno platné pole idnumber. Skupiny LDAP, které odpovídají kurzům, uvedou toto idnumber v polích svých členů. Tento způsob by měl bez problémů fungovat, pokud už používáte ověřování uživatelů pomocí LDAP.</p>

<p>Zápisy v kurzech (tzv. enrolments) budou aktualizovány pokaždé, když se uživatel přihlásí. Pro  synchronizaci můžete rovněž spouštět skript <em>enrol/ldap/enrol_ldap_sync.php</em> (další informace ve zdrojovém kódu uvedeného skriptu).</p>

<p>Tento doplněk může být rovněž použit pro automatické vytváření nových kurzů, jakmile se odpovídající skupiny objeví ve vašem serveru LDAP.</p>';
$string['role_mapping_key'] = 'Mapování rolí z LDAP';
$string['roles'] = 'Mapování rolí';
$string['server_settings'] = 'Nastavení serveru LDAP';
$string['template'] = 'Volitelné: automaticky vytvářené kurzy mohou převzít nastavení z nějaké šablony (vzorového kurzu).';
$string['template_key'] = 'Šablona';
$string['updatelocal'] = 'Aktualizovat lokální data';
$string['user_attribute_key'] = 'Atribut obsahující ID';
$string['user_contexts_key'] = 'Kontexty';
$string['user_type_key'] = 'Typ uživatele';
$string['version'] = 'Verze protokolu LDAP, který používá váš server';
$string['version_key'] = 'Verze';
